Bug 437082 - (CVE-2008-1285) CVE-2008-1285 Cross-site scripting (XSS) vulnerability in Sun Java Server Faces
CVE-2008-1285 Cross-site scripting (XSS) vulnerability in Sun Java Server Faces
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://sunsolve.sun.com/search/docume...
impact=moderate,reported=20080311,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 05:31 EDT by Marc Schoenefeld
Modified: 2016-03-04 05:45 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 11:40:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2008-03-12 05:31:34 EDT
Cross-site scripting (XSS) vulnerability in Sun Java Server Faces
(JSF) 1.2 before 1.2_08 allows remote attackers to inject arbitrary
web script or HTML via unknown vectors.

http://www.frsirt.com/english/advisories/2008/0808/references
http://xforce.iss.net/xforce/xfdb/41081
Comment 1 Marc Schoenefeld 2008-03-12 06:43:05 EDT
used in jboss glassfish-jsf package
Comment 2 Vincent Danen 2010-12-23 11:40:12 EST
This was addressed via:

JBoss Enterprise Application Platform for RHEL 4 AS (RHSA-2008:0825)
JBoss Enterprise Application Platform 4.3.0 for RHEL 4 AS (RHSA-2008:0826)
JBoss Enterprise Application Platform for RHEL 5 Server (RHSA-2008:0827)
JBoss Enterprise Application Platform 4.3.0 for RHEL 5 Server (RHSA-2008:0828)

Note You need to log in before you can comment on or make changes to this bug.